﻿using System;
using System.Data;
using System.IO;
using System.Collections.Generic;
using UnityEngine;
using System.Runtime.Serialization.Formatters.Binary;


//Creates a file and records the graph data inside
public class GraphRecording 
{
	private StreamWriter sw;

	public void initFile(string path, string name)
	{
		sw = new StreamWriter(path + name, false);
	}

	public void writeToFile(string text)
	{
		sw.WriteLine(text);
	}

	public void writeConsecutiveToFile(string[] text)
	{
		string tempText = string.Empty;
		for(int i = 0; i < text.Length; ++i)
		{
			tempText += text[i] + ",";
		}
		sw.WriteLine(tempText);
	}


	public void closeFile()
	{
		sw.Close();
	}
}
