﻿using UnityEngine;
using System.Collections;

public class QEEGSelector : MonoBehaviour {

	public GameObject[] graphPanels;
	public GameObject[] graphs;

	void OnEnable ()
	{
		ActivatePanel(0);
	}

	public void ActivatePanel (int panel)
	{
		for (int i = 0; i < graphPanels.Length; i++) 
		{
			if (i == panel) {
				graphPanels[i].GetComponent<CanvasGroup>().alpha = 1;
				graphPanels[i].GetComponent<CanvasGroup>().interactable = true;
				graphPanels[i].GetComponent<CanvasGroup>().blocksRaycasts = true;
				foreach (Transform child in graphs[i].transform) 
				{
					child.SendMessage("ShowGraph", true, SendMessageOptions.DontRequireReceiver);
				}
			} else {
				graphPanels[i].GetComponent<CanvasGroup>().alpha = 0;
				graphPanels[i].GetComponent<CanvasGroup>().interactable = false;
				graphPanels[i].GetComponent<CanvasGroup>().blocksRaycasts = false;
				foreach (Transform child in graphs[i].transform) 
				{
					child.SendMessage("ShowGraph", false, SendMessageOptions.DontRequireReceiver);
				}
			}
		}
	}
}
