﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class EEGPanelController : MonoBehaviour {

	public NSB_Manager nsbm;
	public Text AttentionValue;
	public Text RelaxationValue;
//	public Text MentalWLValue;
	public Text AccXValue;
	public Text AccYValue;
	public Text AccZValue;
	public Text GoodConnValue;
	public Text Ch1Value;
	public Text Ch2Value;
	public Text Ch3Value;
	public Text Ch4Value;

	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		if (nsbm.GetReceiveEEGState ()) {
			AttentionValue.text = nsbm.GetAttention ().ToString();
			RelaxationValue.text = nsbm.GetRelaxation ().ToString();
//			MentalWLValue.text = nsbm.GetMentalWL ().ToString();

			AccXValue.text = nsbm.GetAccel (0).ToString ();
			AccYValue.text = nsbm.GetAccel (1).ToString ();
			AccZValue.text = nsbm.GetAccel (2).ToString ();

			GoodConnValue.text = nsbm.GetGoodContact ().ToString ();
			Ch1Value.text = nsbm.GetChannelStatus (0).ToString ();
			Ch2Value.text = nsbm.GetChannelStatus (1).ToString ();
			Ch3Value.text = nsbm.GetChannelStatus (2).ToString ();
			Ch4Value.text = nsbm.GetChannelStatus (3).ToString ();
		} else {
			AttentionValue.text = "-";
			RelaxationValue.text = "-";
//			MentalWLValue.text = "-";

			AccXValue.text = "-";
			AccYValue.text = "-";
			AccZValue.text = "-";

			GoodConnValue.text = "-";
			Ch1Value.text = "-";
			Ch2Value.text = "-";
			Ch3Value.text = "-";
			Ch4Value.text = "-";
		}
	}
}
